import QtQuick 1.1
import com.nokia.meego 1.0

/*Custom busy indicator providing additional info text in addition to spinner */
Item
{
    id: customBusyIndicator

    property alias text: infoText.text
    property alias running: busyInd.running


    BusyIndicator
    {
        id: busyInd
        platformStyle: BusyIndicatorStyle { size: "large" }
        x: 190
        y: 400
        visible: parent.visible
    }

    Label
    {
        id: infoText
        anchors.bottom: busyInd.top
        anchors.bottomMargin: 20
        anchors.horizontalCenter: busyInd.horizontalCenter
        horizontalAlignment: Text.AlignHCenter
        visible: parent.visible
    }
}
